declare const configuration: {
    rules: {
        'memoize-component': import("@typescript-eslint/utils/dist/ts-eslint/Rule").RuleModule<"general", never[], {
            JSXElement(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXElement): void;
            JSXFragment(node: import("@typescript-eslint/types/dist/generated/ast-spec").JSXFragment): void;
        }>;
    };
    configs: {
        recommended: {
            parser: string;
            parserOptions: {
                sourceType: string;
            };
            rules: {
                '@anshulsanghi/enforce-react-memo/memoize-component': string;
            };
        };
    };
};
export = configuration;
//# sourceMappingURL=index.d.ts.map